org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsideImageDisplay.ImgDisplayMouseListener

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.gui.StreetsideImageDisplay.ImgDisplayMouseListener

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    StreetsideImageDisplay

      private class StreetsideImageDisplay.ImgDisplayMouseListener
      extends Object
      implements MouseListener, MouseWheelListener, MouseMotionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `lastTimeForMousePoint`
    `private boolean` | `mouseIsDragging`
    `private Point` | `mousePointInImg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ImgDisplayMouseListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkPointInVisibleRect(Point p, Rectangle visibleRect)`
    `void` | `mouseClicked(MouseEvent e)` Center the display on the point that has been clicked
    `void` | `mouseDragged(MouseEvent e)`
    `void` | `mouseEntered(MouseEvent e)`
    `void` | `mouseExited(MouseEvent e)`
    `void` | `mouseMoved(MouseEvent e)`
    `void` | `mousePressed(MouseEvent e)` Initialize the dragging, either with button 1 (simple dragging) or button 3 (selection of a picture part)
    `void` | `mouseReleased(MouseEvent e)`
    `void` | `mouseWheelMoved(MouseWheelEvent e)` Zoom in and out, trying to preserve the point of the image that was under the mouse cursor at the same place

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mouseIsDragging

          private boolean mouseIsDragging

    - #### lastTimeForMousePoint

          private long lastTimeForMousePoint

    - #### mousePointInImg

          private Point mousePointInImg

  - ### Constructor Detail

    - #### ImgDisplayMouseListener

          private ImgDisplayMouseListener()

  - ### Method Detail

    - #### mouseWheelMoved

          public void mouseWheelMoved(MouseWheelEvent e)

      Zoom in and out, trying to preserve the point of the image that was under the mouse cursor at the same place
      Specified by:
        `mouseWheelMoved` in interface `MouseWheelListener`

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Center the display on the point that has been clicked
      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Initialize the dragging, either with button 1 (simple dragging) or button 3 (selection of a picture part)
      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Specified by:
        `mouseReleased` in interface `MouseListener`

    - #### mouseEntered

          public void mouseEntered(MouseEvent e)

      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited(MouseEvent e)

      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Specified by:
        `mouseMoved` in interface `MouseMotionListener`

    - #### checkPointInVisibleRect

          private void checkPointInVisibleRect(Point p,
                                               Rectangle visibleRect)

JOSM Plugins